diff --git a/philosophy/the-danger-of-ebooks.pt-br.po b/philosophy/the-danger-of-ebooks.pt-br.po
index 6657ff0..84b82d1 100644
--- a/philosophy/the-danger-of-ebooks.pt-br.po
+++ b/philosophy/the-danger-of-ebooks.pt-br.po
@@ -4,20 +4,21 @@
 # Richard Stallman, 2011.
 # Hudson Lacerda, 2014.
 # Rafael Beraldo <rberaldo@cabaladada.org>, 2014
-#
+# Rafael Fontenelle <rafaelff@gnome.org>, 2017.
 msgid ""
 msgstr ""
 "Project-Id-Version: the-danger-of-ebooks.html\n"
-"POT-Creation-Date: 2016-01-01 13:02+0000\n"
-"PO-Revision-Date: 2015-02-27 19:22-0300\n"
-"Last-Translator: Rafael Beraldo <rberaldo@cabaladada.org>\n"
+"POT-Creation-Date: 2016-09-15 11:55+0000\n"
+"PO-Revision-Date: 2017-09-29 18:33-0300\n"
+"Last-Translator: Rafael Fontenelle <rafaelff@gnome.org>\n"
 "Language-Team: Brazilian Portuguese <www-pt-br-general@gnu.org>\n"
 "Language: pt_BR\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Outdated-Since: 2015-02-23 17:59+0100\n"
 "Plural-Forms: nplurals=2; plural=(n > 1);\n"
+"X-Generator: Virtaal 1.0.0-beta1\n"
+"X-Outdated-Since: 2015-12-31 22:56+0000\n"
 
 # DÚVIDA: e-books ou livro eletrônicos?
 # [20150225] edergrigorio: Eu optaria pelo termo 'livros eletrônicos'.
@@ -177,25 +178,12 @@ msgstr ""
 "o compartilhamento. Dois métodos que tenho sugerido são:"
 
 #. type: Content of: <ul><li>
-# | To distribute tax funds to authors based on the cube root of each author's
-# | [-popularity. See <a
-# | href=\"http://stallman.org/articles/internet-sharing-license.en.html\">
-# | http://stallman.org/articles/internet-sharing-license.en.html</a>.-]
-# | {+popularity.<a href=\"#footnote1\">[1]</a>+}
-#, fuzzy
-#| msgid ""
-#| "To distribute tax funds to authors based on the cube root of each "
-#| "author's popularity. See <a href=\"http://stallman.org/articles/internet-"
-#| "sharing-license.en.html\"> http://stallman.org/articles/internet-sharing-"
-#| "license.en.html</a>."
 msgid ""
 "To distribute tax funds to authors based on the cube root of each author's "
 "popularity.<a href=\"#footnote1\">[1]</a>"
 msgstr ""
-"Distribuir fundos de impostos a autores com base na raíz cúbica da "
-"popularidade de cada autor. Veja <a href=\"http://stallman.org/articles/"
-"internet-sharing-license.en.html\">http://stallman.org/articles/internet-"
-"sharing-license.en.html</a>."
+"Distribuir fundos de impostos a autores com base na raiz cúbica da "
+"popularidade de cada autor.<a href=\"#footnote1\">[1]</a>"
 
 #. type: Content of: <ul><li>
 msgid ""
@@ -222,9 +210,6 @@ msgstr ""
 "ebooks.html\">http://DefectiveByDesign.org/ebooks.html</a>."
 
 #. type: Content of: <h4>
-# || No change detected.  The change might only be in amounts of spaces.
-#, fuzzy
-#| msgid "Footnotes"
 msgid "Footnotes"
 msgstr "Notas de rodapé"
 
@@ -236,6 +221,11 @@ msgid ""
 "html\">my 2012 open letter to the President of the Brazilian Senate</a>, "
 "Senator José Sarney, for more on this."
 msgstr ""
+"Veja minha fala <a href=\"/philosophy/copyright-versus-community.html\">"
+"\"Copyright contra Comunidade na Idade das Redes de Computadores\"</a> e <a "
+"href=\"http://stallman.org/articles/internet-sharing-license.en.html\">minha "
+"carta de abertura em 2012 para o presidente do Senado Federal brasileiro</"
+"a>, Senadora José Sarney, para mais sobre isso."
 
 #. TRANSLATORS: Use space (SPC) as msgstr if you don't have notes.
 #. type: Content of: <div>
@@ -290,19 +280,10 @@ msgstr ""
 "envio de traduções das páginas desse site."
 
 #. type: Content of: <div><p>
-# | Copyright &copy; [-2011-] {+2011, 2014, 2015, 2016+} Richard Stallman
-#, fuzzy
-#| msgid "Copyright &copy; 2011 Richard Stallman"
 msgid "Copyright &copy; 2011, 2014, 2015, 2016 Richard Stallman"
-msgstr "Copyright &copy; 2011 Richard Stallman"
+msgstr "Copyright &copy; 2011, 2014, 2015, 2016 Richard Stallman"
 
 #. type: Content of: <div><p>
-# || No change detected.  The change might only be in amounts of spaces.
-#, fuzzy
-#| msgid ""
-#| "This page is licensed under a <a rel=\"license\" href=\"http://"
-#| "creativecommons.org/licenses/by-nd/4.0/\">Creative Commons Attribution-"
-#| "NoDerivatives 4.0 International License</a>."
 msgid ""
 "This page is licensed under a <a rel=\"license\" href=\"http://"
 "creativecommons.org/licenses/by-nd/4.0/\">Creative Commons Attribution-"
@@ -322,17 +303,3 @@ msgstr "<b>Tradução:</b> Hudson Lacerda, 2014"
 #. type: Content of: <div><p>
 msgid "Updated:"
 msgstr "Última atualização: "
-
-#~ msgid ""
-#~ "To distribute tax funds to authors based on the cube root of each "
-#~ "author's popularity. See <a href=\"http://stallman.org/articles/internet-"
-#~ "sharing-license.en.html\"> http://stallman.org/articles/internet-sharing-"
-#~ "license.en.html</a>."
-#~ msgstr ""
-#~ "Distribuir fundos de impostos a autores com base na raíz cúbica da "
-#~ "popularidade de cada autor. Veja <a href=\"http://stallman.org/articles/"
-#~ "internet-sharing-license.en.html\">http://stallman.org/articles/internet-"
-#~ "sharing-license.en.html</a>."
-
-#~ msgid "Copyright &copy; 2011 Richard Stallman"
-#~ msgstr "Copyright &copy; 2011 Richard Stallman"