diff --git a/philosophy/the-root-of-this-problem.pt-br.po b/philosophy/the-root-of-this-problem.pt-br.po
index 66c498e..ebbcc74 100644
--- a/philosophy/the-root-of-this-problem.pt-br.po
+++ b/philosophy/the-root-of-this-problem.pt-br.po
@@ -3,20 +3,21 @@
 # This file is distributed under the same license as the gnu.org article.
 # Hudson Flavio Meneses Lacerda, 2013
 # Dec 2014: add a missing link (T. Godefroy).
-#
+# Rafael Fontenelle <rafaelff@gnome.org>, 2017.
 msgid ""
 msgstr ""
 "Project-Id-Version: the-root-of-this-problem.html\n"
 "POT-Creation-Date: 2014-05-26 10:56+0000\n"
-"PO-Revision-Date: 2013-05-18 17:36-0300\n"
-"Last-Translator: Hudson Flávio Meneses Lacerda <hfmlacerda@yahoo.com.br>\n"
+"PO-Revision-Date: 2017-09-30 07:02-0300\n"
+"Last-Translator: Rafael Fontenelle <rafaelff@gnome.org>\n"
 "Language-Team: Brazilian Portuguese <www-pt-br-general@gnu.org>\n"
 "Language: pt_BR\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Outdated-Since: 2014-05-26 10:56+0000\n"
 "Plural-Forms: nplurals=2; plural=(n > 1);\n"
+"X-Generator: Virtaal 1.0.0-beta1\n"
+"X-Outdated-Since: 2014-05-26 10:56+0000\n"
 
 #. type: Content of: <title>
 msgid ""
@@ -80,22 +81,6 @@ msgstr ""
 "Isso refuta a ideia de que usuários prefiram dispositivos travados."
 
 #. type: Content of: <p>
-# | It is true that a general computer lets you run programs designed to
-# | [-spy-] {+<a href=\"/philosophy/proprietary.html\">spy+} on you, restrict
-# | you, or even let the developer attack [-you.-] {+you</a>.+}  Such programs
-# | include KaZaA, RealPlayer, Adobe [-Flash,-] {+Flash Player,+} Windows
-# | Media Player, Microsoft Windows, and MacOS.  Windows Vista does all three
-# | of those things; it also lets Microsoft change the software without
-# | asking, or command it to permanently cease normal [-functioning.-]
-# | {+functioning.<a href=\"#note1\">(1)</a>+}
-#, fuzzy
-#| msgid ""
-#| "It is true that a general computer lets you run programs designed to spy "
-#| "on you, restrict you, or even let the developer attack you. Such programs "
-#| "include KaZaA, RealPlayer, Adobe Flash, Windows Media Player, Microsoft "
-#| "Windows, and MacOS.  Windows Vista does all three of those things; it "
-#| "also lets Microsoft change the software without asking, or command it to "
-#| "permanently cease normal functioning."
 msgid ""
 "It is true that a general computer lets you run programs designed to <a href="
 "\"/philosophy/proprietary.html\">spy on you, restrict you, or even let the "
@@ -107,11 +92,12 @@ msgid ""
 msgstr ""
 "É verdade que um computador de uso geral permite a execução de programas "
 "projetados para <a href=\"/philosophy/proprietary.html\">lhe espionar, "
-"restringir, ou mesmo deixar que o desenvolvedor lhe ataque</a>.  Tais "
-"programas incluem KaZaA, RealPlayer, Adobe Flash, Windows Media Player, "
-"Microsoft Windows, and MacOS.  Windows Vista faz todas essas três coisas; "
-"ele também permite que a Microsoft altere software sem solicitação, ou "
-"comande-o para permanentemente cessar seu funcionamento normal."
+"restringir, ou mesmo deixar que o desenvolvedor lhe ataque</a>. Tais "
+"programas incluem KaZaA, RealPlayer, Adobe Flash Player, Windows Media "
+"Player, Microsoft Windows e MacOS.  Windows Vista faz todas essas três "
+"coisas; ele também permite que a Microsoft altere software sem solicitação, "
+"ou comande-o para permanentemente cessar seu funcionamento normal.<a href="
+"\"#note1\">(1)</a>"
 
 #. type: Content of: <p>
 msgid ""
@@ -348,7 +334,7 @@ msgstr ""
 
 #. type: Content of: <h3>
 msgid "Notes"
-msgstr ""
+msgstr "Notas"
 
 #. type: Content of: <p>
 msgid ""
@@ -358,6 +344,11 @@ msgid ""
 "genuine-disadvantage\">removed this</a>, ceding to public pressure, but "
 "reserved the &ldquo;right&rdquo; to put it back in."
 msgstr ""
+"1. Windows Vista inicialmente tinha um &ldquo;interruptor&rdquo; com o qual "
+"a Microsoft poderia comandar remotamente o computador para fazê-lo parar de "
+"funcionar. Posteriormente, a Microsoft <a href=\"http://badvista.fsf.org/"
+"blog/windows-genuine-disadvantage\">removeu isso</a>, cedendo à pressão "
+"pública, mas reservou o &ldquo;direito&rdquo; de colocá-lo de volta."
 
 #. TRANSLATORS: Use space (SPC) as msgstr if you don't have notes.
 #. type: Content of: <div>