diff --git a/gnu/thegnuproject.pt-br.po b/gnu/thegnuproject.pt-br.po
index d696a42..6fdc59b 100644
--- a/gnu/thegnuproject.pt-br.po
+++ b/gnu/thegnuproject.pt-br.po
@@ -3,17 +3,21 @@
 # This file is distributed under the same license as the original article.
 # Bruno Félix Rezende Ribeiro <oitofelix@gnu.org>, 2015.
 # Ineiev, 2016 (defuzzify).
+# Rafael Fontenelle <rafaelff@gnome.org>, 2017.
 msgid ""
 msgstr ""
 "Project-Id-Version: thegnuproject.html\n"
-"POT-Creation-Date: 2015-12-01 06:25+0000\n"
-"PO-Revision-Date: 2017-05-20 16:20-0300\n"
+"POT-Creation-Date: 2017-06-16 06:56+0000\n"
+"PO-Revision-Date: 2017-06-22 04:50-0300\n"
 "Last-Translator: Rafael Fontenelle <rafaelff@gnome.org>\n"
 "Language-Team: Brazilian Portuguese <www-pt-br-general@gnu.org>\n"
 "Language: pt_BR\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n > 1);\n"
+"X-Generator: Virtaal 1.0.0-beta1\n"
+"X-Outdated-Since: 2017-06-16 06:56+0000\n"
 
 #. type: Content of: <title>
 msgid "About the GNU Project - GNU Project - Free Software Foundation"
@@ -28,7 +32,6 @@ msgstr ""
 msgid "The GNU Project"
 msgstr "O Projeto GNU"
 
-# type: Content of: <p>
 #. type: Content of: <p>
 msgid ""
 "by <a href=\"http://www.stallman.org/\"><strong>Richard Stallman</strong></a>"
@@ -407,7 +410,8 @@ msgid ""
 "elected to do the job.  I chose to make the system compatible with Unix so "
 "that it would be portable, and so that Unix users could easily switch to "
 "it.  The name GNU was chosen, following a hacker tradition, as a recursive "
-"acronym for &ldquo;GNU's Not Unix.&rdquo;"
+"acronym for &ldquo;GNU's Not Unix.&rdquo; It is pronounced as <a href=\"/gnu/"
+"pronunciation.html\">one syllable with a hard g</a>."
 msgstr ""
 "Como um desenvolvedor de sistema operacionais, eu tinha as habilidades "
 "certas para este trabalho.  Assim, ainda que eu não pudesse tomar o sucesso "
@@ -415,7 +419,8 @@ msgstr ""
 "Eu decidi fazer o sistema compatível com o Unix para que ele fosse portável, "
 "e para que os usuários do Unix pudessem migrar para ele facilmente.  O nome "
 "GNU foi escolhido, seguindo uma tradição hacker, como um acrônimo recursivo "
-"para “GNU Não é Unix” (do inglês “GNU’s Not Unix”)."
+"para “GNU Não é Unix” (do inglês “GNU’s Not Unix”). É pronunciado como <a "
+"href=\"/gnu/pronunciation.html\">uma sílaba com g forte</a>."
 
 #. type: Content of: <p>
 msgid ""
@@ -1059,7 +1064,7 @@ msgstr ""
 "A venda de cópias do Emacs demonstra um tipo de negócio de software livre.  "
 "Quando a FSF assumiu esse negócio, eu precisava de uma outra maneira de "
 "ganhar a vida.  Eu a encontrei na venda de serviços relacionados ao software "
-"livre que eu tinha desenvolvido.  Isto incluia ensino, sobre os temas de "
+"livre que eu tinha desenvolvido.  Isto incluía ensino, sobre os temas de "
 "como programar o GNU Emacs e como personalizar o GCC, e desenvolvimento de "
 "software, principalmente portando o GCC para novas plataformas."
 
@@ -2218,7 +2223,6 @@ msgstr ""
 "tanto “livre” quanto “gratuito”.</li>\n"
 "</ol>"
 
-# type: Content of: <div><p>
 #. type: Content of: <div><div><p>
 msgid ""
 "Please send general FSF &amp; GNU inquiries to <a href=\"mailto:gnu@gnu.org"
@@ -2261,11 +2265,11 @@ msgstr ""
 
 #. type: Content of: <div><p>
 msgid ""
-"Copyright &copy; 1998, 2001, 2002, 2005, 2006, 2007, 2008, 2010, 2014, 2015 "
-"Richard Stallman"
+"Copyright &copy; 1998, 2001, 2002, 2005, 2006, 2007, 2008, 2010, 2014, 2015, "
+"2017 Richard Stallman"
 msgstr ""
-"Copyright &copy; 1998, 2001, 2002, 2005, 2006, 2007, 2008, 2010, 2014, 2015 "
-"Richard Stallman"
+"Copyright &copy; 1998, 2001, 2002, 2005, 2006, 2007, 2008, 2010, 2014, 2015, "
+"2017 Richard Stallman"
 
 #. type: Content of: <div><p>
 msgid ""
@@ -2285,7 +2289,6 @@ msgstr ""
 "Rezende Ribeiro</a> <a href=\"mailto:oitofelix@gnu.org\">&lt;oitofelix@gnu."
 "org&gt;</a>, 2015."
 
-# type: Content of: <div><p>
 #.  timestamp start 
 #. type: Content of: <div><p>
 msgid "Updated:"