diff --git a/doc/combining.texi b/doc/combining.texi
index a7bca10..93f4e82 100644
--- a/doc/combining.texi
+++ b/doc/combining.texi
@@ -61,7 +61,7 @@ following sections describe details specific to each command.
 Each of these commands reads two or more input files and combines them.  
 The command's output becomes the new active dataset.
 None of the commands actually change the input files.
-Therefore, if you want the changes to become permanant, you must explictly
+Therefore, if you want the changes to become permanent, you must explicitly
 save them using an appropriate procedure or transformation (@pxref{System and Portable File IO}).
 
 The syntax of each command begins with a specification of the files to
diff --git a/doc/transformation.texi b/doc/transformation.texi
index ae07524..1ca2d22 100644
--- a/doc/transformation.texi
+++ b/doc/transformation.texi
@@ -672,7 +672,7 @@ recode
 @end example
 @noindent Here we have two recodings. The first affects the source variable
 @var{a} and recodes in-place the value 2 into 22 and all other values to 99.
-The second recoding copies the values of @var{b} into the the variable @var{z}, 
+The second recoding copies the values of @var{b} into the variable @var{z}, 
 changing any instances of 1 into 3.
 
 @node SORT CASES
diff --git a/po/ca.po b/po/ca.po
index 158b65e..b8d6fcf 100644
--- a/po/ca.po
+++ b/po/ca.po
@@ -1732,7 +1732,7 @@ msgstr "La variable %s especificada com a part del grup dicotòmic múltiple %s
 
 #: src/language/dictionary/mrsets.c:368
 #, c-format
-msgid "Variables %s and %s specified as part of multiple dichotomy group %s (which has CATEGORYLABELS=COUNTEDVALUES) have the same value label for the the group's counted value.  These categories will not be distinguishable in output."
+msgid "Variables %s and %s specified as part of multiple dichotomy group %s (which has CATEGORYLABELS=COUNTEDVALUES) have the same value label for the group's counted value.  These categories will not be distinguishable in output."
 msgstr "Les variables %s i %s  especificades com a part del grup dicotòmic múltiple %s (que té CATEGORYLABELS=COUNTEDVALUES) té la mateixa etiqueta de valor pel valor de recompte del grup. Aquestes categories no seran distingible als resultats."
 
 #: src/language/dictionary/mrsets.c:425
diff --git a/po/de.po b/po/de.po
index d9283e9..29c2987 100644
--- a/po/de.po
+++ b/po/de.po
@@ -1694,7 +1694,7 @@ msgstr ""
 
 #: src/language/dictionary/mrsets.c:368
 #, c-format
-msgid "Variables %s and %s specified as part of multiple dichotomy group %s (which has CATEGORYLABELS=COUNTEDVALUES) have the same value label for the the group's counted value.  These categories will not be distinguishable in output."
+msgid "Variables %s and %s specified as part of multiple dichotomy group %s (which has CATEGORYLABELS=COUNTEDVALUES) have the same value label for the group's counted value.  These categories will not be distinguishable in output."
 msgstr ""
 
 #: src/language/dictionary/mrsets.c:425
@@ -3988,7 +3988,7 @@ msgstr ""
 msgid "The year argument to YRMODA is greater than 47516.  The result will be system-missing."
 msgstr ""
 
-#. TRANSLATORS: Don't translate the the actual unit names `weeks', `days' etc
+#. TRANSLATORS: Don't translate the actual unit names `weeks', `days' etc
 #. They must remain in their original English.
 #: src/language/expressions/helpers.c:180
 #, c-format
diff --git a/po/en_GB.po b/po/en_GB.po
index 4a1d947..6aedc0d 100644
--- a/po/en_GB.po
+++ b/po/en_GB.po
@@ -1815,7 +1815,7 @@ msgstr ""
 #, c-format
 msgid ""
 "Variables %s and %s specified as part of multiple dichotomy group %s (which "
-"has CATEGORYLABELS=COUNTEDVALUES) have the same value label for the the "
+"has CATEGORYLABELS=COUNTEDVALUES) have the same value label for the "
 "group's counted value.  These categories will not be distinguishable in "
 "output."
 msgstr ""
@@ -4232,7 +4232,7 @@ msgid ""
 "system-missing."
 msgstr ""
 
-#. TRANSLATORS: Don't translate the the actual unit names `weeks', `days' etc
+#. TRANSLATORS: Don't translate the actual unit names `weeks', `days' etc
 #. They must remain in their original English.
 #: src/language/expressions/helpers.c:180
 #, c-format
diff --git a/po/es.po b/po/es.po
index 87bce7a..b86ce5e 100644
--- a/po/es.po
+++ b/po/es.po
@@ -1732,7 +1732,7 @@ msgstr "La variable %s especificada como parte del grupe dicotomico múltiple %s
 
 #: src/language/dictionary/mrsets.c:368
 #, c-format
-msgid "Variables %s and %s specified as part of multiple dichotomy group %s (which has CATEGORYLABELS=COUNTEDVALUES) have the same value label for the the group's counted value.  These categories will not be distinguishable in output."
+msgid "Variables %s and %s specified as part of multiple dichotomy group %s (which has CATEGORYLABELS=COUNTEDVALUES) have the same value label for the group's counted value.  These categories will not be distinguishable in output."
 msgstr "Las variables %s y %s especificadas como parte del grupo dicotomico múltiple %s (que tiene CATEGORYLABELS=COUNTEDVALUES) no tiene etiqueta de valor para su valor de recuento. Esta categoria no será distingible en los resultados."
 
 #: src/language/dictionary/mrsets.c:425
diff --git a/po/fr.po b/po/fr.po
index 7d7e84d..31ea895 100644
--- a/po/fr.po
+++ b/po/fr.po
@@ -1698,7 +1698,7 @@ msgstr "La variable %s spécifiée  en tant que groupe %s de dichotomie multiple
 
 #: src/language/dictionary/mrsets.c:368
 #, c-format
-msgid "Variables %s and %s specified as part of multiple dichotomy group %s (which has CATEGORYLABELS=COUNTEDVALUES) have the same value label for the the group's counted value.  These categories will not be distinguishable in output."
+msgid "Variables %s and %s specified as part of multiple dichotomy group %s (which has CATEGORYLABELS=COUNTEDVALUES) have the same value label for the group's counted value.  These categories will not be distinguishable in output."
 msgstr "Les variables %s et %s spécifiées en tant que groupe %s de dichotomie multiple (dont CATEGORYLABELS=COUNTEDVALUES) ont la même étiquette de valeur pour la valeur calculée des groupes. Ces catégories ne seront pas différentiables dans la sortie."
 
 #: src/language/dictionary/mrsets.c:425
@@ -4017,7 +4017,7 @@ msgstr "L'argument de jour de DATE.YRDAY est hors de l'intervalle acceptable de
 msgid "The year argument to YRMODA is greater than 47516.  The result will be system-missing."
 msgstr "L'argument d'année de la fonction YRMODA est supérieur à 47516. Le résultat sera considéré comme système manquant."
 
-#. TRANSLATORS: Don't translate the the actual unit names `weeks', `days' etc
+#. TRANSLATORS: Don't translate the actual unit names `weeks', `days' etc
 #. They must remain in their original English.
 #: src/language/expressions/helpers.c:180
 #, c-format
diff --git a/po/ja.po b/po/ja.po
index 8ce94ab..5f1dfaa 100644
--- a/po/ja.po
+++ b/po/ja.po
@@ -1725,7 +1725,7 @@ msgstr ""
 
 #: src/language/dictionary/mrsets.c:368
 #, c-format
-msgid "Variables %s and %s specified as part of multiple dichotomy group %s (which has CATEGORYLABELS=COUNTEDVALUES) have the same value label for the the group's counted value.  These categories will not be distinguishable in output."
+msgid "Variables %s and %s specified as part of multiple dichotomy group %s (which has CATEGORYLABELS=COUNTEDVALUES) have the same value label for the group's counted value.  These categories will not be distinguishable in output."
 msgstr ""
 
 #: src/language/dictionary/mrsets.c:425
diff --git a/po/lt.po b/po/lt.po
index 037f0e2..4748853 100644
--- a/po/lt.po
+++ b/po/lt.po
@@ -1691,7 +1691,7 @@ msgstr ""
 
 #: src/language/dictionary/mrsets.c:368
 #, c-format
-msgid "Variables %s and %s specified as part of multiple dichotomy group %s (which has CATEGORYLABELS=COUNTEDVALUES) have the same value label for the the group's counted value.  These categories will not be distinguishable in output."
+msgid "Variables %s and %s specified as part of multiple dichotomy group %s (which has CATEGORYLABELS=COUNTEDVALUES) have the same value label for the group's counted value.  These categories will not be distinguishable in output."
 msgstr ""
 
 #: src/language/dictionary/mrsets.c:425
diff --git a/po/nl.po b/po/nl.po
index b9567fd..409213d 100644
--- a/po/nl.po
+++ b/po/nl.po
@@ -1755,7 +1755,7 @@ msgstr ""
 
 #: src/language/dictionary/mrsets.c:368
 #, c-format
-msgid "Variables %s and %s specified as part of multiple dichotomy group %s (which has CATEGORYLABELS=COUNTEDVALUES) have the same value label for the the group's counted value.  These categories will not be distinguishable in output."
+msgid "Variables %s and %s specified as part of multiple dichotomy group %s (which has CATEGORYLABELS=COUNTEDVALUES) have the same value label for the group's counted value.  These categories will not be distinguishable in output."
 msgstr ""
 
 #: src/language/dictionary/mrsets.c:425
diff --git a/po/sl.po b/po/sl.po
index 073b9ba..321ff2e 100644
--- a/po/sl.po
+++ b/po/sl.po
@@ -1704,7 +1704,7 @@ msgstr ""
 
 #: src/language/dictionary/mrsets.c:368
 #, c-format
-msgid "Variables %s and %s specified as part of multiple dichotomy group %s (which has CATEGORYLABELS=COUNTEDVALUES) have the same value label for the the group's counted value.  These categories will not be distinguishable in output."
+msgid "Variables %s and %s specified as part of multiple dichotomy group %s (which has CATEGORYLABELS=COUNTEDVALUES) have the same value label for the group's counted value.  These categories will not be distinguishable in output."
 msgstr ""
 
 #: src/language/dictionary/mrsets.c:425
@@ -4142,7 +4142,7 @@ msgstr ""
 msgid "The year argument to YRMODA is greater than 47516.  The result will be system-missing."
 msgstr ""
 
-#. TRANSLATORS: Don't translate the the actual unit names `weeks', `days' etc
+#. TRANSLATORS: Don't translate the actual unit names `weeks', `days' etc
 #. They must remain in their original English.
 #: src/language/expressions/helpers.c:180
 #, c-format
diff --git a/po/uk.po b/po/uk.po
index 1f3c7e0..85c3394 100644
--- a/po/uk.po
+++ b/po/uk.po
@@ -1734,7 +1734,7 @@ msgstr ""
 
 #: src/language/dictionary/mrsets.c:368
 #, c-format
-msgid "Variables %s and %s specified as part of multiple dichotomy group %s (which has CATEGORYLABELS=COUNTEDVALUES) have the same value label for the the group's counted value.  These categories will not be distinguishable in output."
+msgid "Variables %s and %s specified as part of multiple dichotomy group %s (which has CATEGORYLABELS=COUNTEDVALUES) have the same value label for the group's counted value.  These categories will not be distinguishable in output."
 msgstr ""
 
 #: src/language/dictionary/mrsets.c:425
diff --git a/src/OChangeLog b/src/OChangeLog
index bba2afa..3c7f027 100644
--- a/src/OChangeLog
+++ b/src/OChangeLog
@@ -12719,7 +12719,7 @@ Tue Nov  5 18:34:59 1996  Ben Pfaff  <blp@gnu.org>
 	(macro assertive_bufread) New.  Many references to bufread() now
  	use this instead.
 	(sfm_read_dictionary) Split up into several functions.  Added code
- 	to read dictionary records following the the type 2 records.  Not
+ 	to read dictionary records following the type 2 records.  Not
  	quite complete.  New variable `var_by_index'.
 	(read_header, read_variables) New functions extracted from
  	sfm_read_dictionary().
diff --git a/src/language/dictionary/mrsets.c b/src/language/dictionary/mrsets.c
index 9e1ca3b..621516b 100644
--- a/src/language/dictionary/mrsets.c
+++ b/src/language/dictionary/mrsets.c
@@ -368,7 +368,7 @@ parse_group (struct lexer *lexer, struct dictionary *dict,
                     msg (SW, _("Variables %s and %s specified as part of "
                                "multiple dichotomy group %s (which has "
                                "CATEGORYLABELS=COUNTEDVALUES) have the same "
-                               "value label for the the group's counted "
+                               "value label for the group's counted "
                                "value.  These categories will not be "
                                "distinguishable in output."),
                          other_name, name, mrset->name);
diff --git a/src/language/stats/regression.c b/src/language/stats/regression.c
index 1949151..a9ac554 100644
--- a/src/language/stats/regression.c
+++ b/src/language/stats/regression.c
@@ -478,8 +478,8 @@ identify_indep_vars (const struct regression *cmd,
        */
       msg (SW,
            gettext
-           ("The dependent variable is equal to the independent variable."
-            "The least squares line is therefore Y=X."
+           ("The dependent variable is equal to the independent variable. "
+            "The least squares line is therefore Y=X. "
             "Standard errors and related statistics may be meaningless."));
       n_indep_vars = 1;
       indep_vars[0] = cmd->vars[0];
diff --git a/src/language/stats/runs.c b/src/language/stats/runs.c
index 7e36065..b3a1b4f 100644
--- a/src/language/stats/runs.c
+++ b/src/language/stats/runs.c
@@ -64,7 +64,7 @@ struct run_state
 
 
 /* Return the Z statistic representing the assympototic
-   distribution of the the number of runs */
+   distribution of the number of runs */
 static double
 runs_statistic (const struct run_state *rs)
 {
@@ -164,7 +164,7 @@ runs_execute (const struct dataset *ds,
 	      }
 	    casegrouper_destroy (grouper);
 	    if (multimodal)
-	      msg (MW, _("Multiple modes exist for varible `%s'.  Using %g as the threshold value."),
+	      msg (MW, _("Multiple modes exist for variable `%s'.  Using %g as the threshold value."),
 		   var_get_name (var), run->cutpoint);
 	  }
       }
diff --git a/src/math/levene.c b/src/math/levene.c
index 5193c86..373687e 100644
--- a/src/math/levene.c
+++ b/src/math/levene.c
@@ -45,7 +45,7 @@ struct levene
   /* Width of the categorical variable */
   int gvw ;
 
-  /* The value deviding the the groups. Valid only for dichotomous categorical variable.*/
+  /* The value deviding the groups. Valid only for dichotomous categorical variable.*/
   const union value *cutpoint;
 
 
diff --git a/tests/language/dictionary/mrsets.at b/tests/language/dictionary/mrsets.at
index edff6ae..b69b91e 100644
--- a/tests/language/dictionary/mrsets.at
+++ b/tests/language/dictionary/mrsets.at
@@ -57,7 +57,7 @@ mrsets.sps:29: warning: MRSETS: Variable y specified as part of multiple dichoto
 
 mrsets.sps:34: warning: MRSETS: Variable x specified as part of multiple dichotomy group $c (which has CATEGORYLABELS=COUNTEDVALUES) has no value label for its counted value.  This category will not be distinguishable in output.
 
-mrsets.sps:34: warning: MRSETS: Variables y and z specified as part of multiple dichotomy group $c (which has CATEGORYLABELS=COUNTEDVALUES) have the same value label for the the group's counted value.  These categories will not be distinguishable in output.
+mrsets.sps:34: warning: MRSETS: Variables y and z specified as part of multiple dichotomy group $c (which has CATEGORYLABELS=COUNTEDVALUES) have the same value label for the group's counted value.  These categories will not be distinguishable in output.
 
 mrsets.sps:38: warning: MRSETS: MDGROUP subcommand for group $d specifies LABELSOURCE=VARLABEL but not CATEGORYLABELS=COUNTEDVALUES.  Ignoring LABELSOURCE.
 