# HG changeset patch
# User Nicholas R. Jankowski <jankowskin@asme.org>
# Date 1582079739 18000
#      Tue Feb 18 21:35:39 2020 -0500
# Node ID c8ddb630c9c15d0fd46122d127ea98ea57f37c87
# Parent  b2e0a2ddfd7d059e31cee022711cc3d7458e690e
Updated property references for text and graphics functions (bug #50247)

* /scripts/gui/dialog.m, waitbar.m: added Figure Properties reference
* /scripts/gui/setappdata.m: added getappdata propery reference
* /scripts/image/imagesc.m: added Image Properties reference
* /scripts/image/imread.m: added Representing Images reference
* /scripts/plot/appearance/clabel.m, gtext.m, xlabel.m, ylabel.m, zlabel.m:
  added Text Properties reference
* /scripts/plot/appearance/legend.m: added Graphics Object Properties reference
* /scripts/plot/appearance/private/__gnuplot_legend__.m: added Graphics Object
  Properties reference
* /scripts/plot/draw/area.m, bar.m, barh.m, fill.m, hist.m, rectangle.m,
  scatter.m, scatter3.m, tetramesh.m, trimesh.m, trisurf.m: added Patch
  Properties reference
* /scripts/plot/draw/colorbar.m: add Axes Properties reference
* /scripts/plot/util/hggroup.m, subplot.m: added Axes Properties reference
* /scripts/plot/draw/fplot.m, plot.m, plot3.m, stairs.m, stem.m, stem3.m:
  add/update Line Properties reference
* /scripts/plot/draw/mesh.m, meshc.m, meshz.m, surf.m, surfc.m, surfnorm.m,
  waterfall.m: add/update Surface Properties reference
* /doc/interpreter/plot.txi: removed redundant text properties link

diff -r b2e0a2ddfd7d -r c8ddb630c9c1 doc/interpreter/plot.txi
--- a/doc/interpreter/plot.txi	Tue Feb 18 17:38:17 2020 -0800
+++ b/doc/interpreter/plot.txi	Tue Feb 18 21:35:39 2020 -0500
@@ -575,8 +575,6 @@
 
 @DOCSTRING(text)
 
-See @ref{Text Properties} for the properties that you can set.
-
 @c Add cross-references and function index entries for other label functions.
 @anchor{XREFylabel}
 @anchor{XREFzlabel}
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/gui/dialog.m
--- a/scripts/gui/dialog.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/gui/dialog.m	Tue Feb 18 21:35:39 2020 -0500
@@ -75,7 +75,8 @@
 ##
 ##
 ## Multiple property-value pairs may be specified for the dialog object, but
-## they must appear in pairs.
+## they must appear in pairs.  The full list of properties is documented at
+## @ref{Figure Properties}.
 ##
 ## The return value @var{h} is a graphics handle to the created figure.
 ##
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/gui/setappdata.m
--- a/scripts/gui/setappdata.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/gui/setappdata.m	Tue Feb 18 21:35:39 2020 -0500
@@ -35,7 +35,8 @@
 ##
 ## Multiple @var{name}/@var{value} pairs can be specified.  Alternatively, a
 ## cell array of @var{names} and a corresponding cell array of @var{values} can
-## be specified.
+## be specified.  Details on obtaining a list of valid application data
+## properties can be found in @ref{getappdata}.
 ##
 ## @seealso{getappdata, isappdata, rmappdata, guidata, get, set, getpref, setpref}
 ## @end deftypefn
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/gui/waitbar.m
--- a/scripts/gui/waitbar.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/gui/waitbar.m	Tue Feb 18 21:35:39 2020 -0500
@@ -44,7 +44,8 @@
 ## function handle @var{fcn}.
 ##
 ## The appearance of the waitbar figure window can be configured by passing
-## @var{prop}/@var{val} pairs to the function.
+## @var{prop}/@var{val} pairs to the function.  The full list of properties is
+## documented at @ref{Figure Properties}.
 ##
 ## When called with a single input the current waitbar, if it exists, is
 ## updated to the new value @var{frac}.  If there are multiple outstanding
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/image/imagesc.m
--- a/scripts/image/imagesc.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/image/imagesc.m	Tue Feb 18 21:35:39 2020 -0500
@@ -52,7 +52,8 @@
 ## form is used which first calls @code{newplot} to prepare the graphic figure
 ## and axes.  When the only inputs to @code{image} are property/value pairs
 ## the Low-Level form is used which creates a new instance of an image object
-## and inserts it in the current axes.
+## and inserts it in the current axes.  The full list of proporties is
+## documented at @ref{Image Properties}.
 ##
 ## @seealso{image, imshow, caxis}
 ## @end deftypefn
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/image/imread.m
--- a/scripts/image/imread.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/image/imread.m	Tue Feb 18 21:35:39 2020 -0500
@@ -50,6 +50,7 @@
 ## be used to obtain the colormap of each image.
 ##
 ## See the Octave manual for more information in representing images.
+## (@pxref{Representing Images})
 ##
 ## Some file formats, such as TIFF and GIF, are able to store multiple images
 ## in a single file.  @var{idx} can be a scalar or vector specifying the
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/appearance/clabel.m
--- a/scripts/plot/appearance/clabel.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/appearance/clabel.m	Tue Feb 18 21:35:39 2020 -0500
@@ -56,7 +56,8 @@
 ## The @qcode{"userdata"} property of the text objects contains the numerical
 ## value of the contour label.
 ##
-## An example of the use of @code{clabel} is
+## The full list of text object properties is documented at
+## @ref{Text Properties}.
 ##
 ## @example
 ## @group
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/appearance/gtext.m
--- a/scripts/plot/appearance/gtext.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/appearance/gtext.m	Tue Feb 18 21:35:39 2020 -0500
@@ -56,6 +56,9 @@
 ## Optional @var{property}/@var{value} pairs are passed directly to the
 ## underlying text objects.
 ##
+## The full list of text object properties is documented at
+## @ref{Text Properties}.
+##
 ## The optional return value @var{h} holds the graphics handle(s) to the
 ## created text object(s).
 ## @seealso{ginput, text}
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/appearance/legend.m
--- a/scripts/plot/appearance/legend.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/appearance/legend.m	Tue Feb 18 21:35:39 2020 -0500
@@ -102,7 +102,8 @@
 ## properties that can be manipulated with @code{get}/@code{set}.
 ## Alternatively, properties can be set directly when calling @code{legend} by
 ## including @var{property}/@var{value} pairs.  If using this calling form, the
-## labels must be specified as a cell array of strings.
+## labels must be specified as a cell array of strings.  Graphics object
+## properties are documented in detail at @ref{Graphics Object Properties}.
 ##
 ## The optional output value @var{hleg} is a handle to the legend object.
 ##
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/appearance/private/__gnuplot_legend__.m
--- a/scripts/plot/appearance/private/__gnuplot_legend__.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/appearance/private/__gnuplot_legend__.m	Tue Feb 18 21:35:39 2020 -0500
@@ -107,7 +107,8 @@
 ## properties that can be manipulated with @code{get}/@code{set}.
 ## Alternatively, properties can be set directly when calling @code{legend} by
 ## including @var{property}/@var{value} pairs.  If using this calling form, the
-## labels must be specified as a cell array of strings.
+## labels must be specified as a cell array of strings.  Graphics object
+## properties are documented in detail at @ref{Graphics Object Properties}.
 ##
 ## The optional output values are
 ##
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/appearance/xlabel.m
--- a/scripts/plot/appearance/xlabel.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/appearance/xlabel.m	Tue Feb 18 21:35:39 2020 -0500
@@ -33,6 +33,9 @@
 ## An optional list of @var{property}/@var{value} pairs can be used to change
 ## the properties of the created text label.
 ##
+## The full list of text object properties is documented at
+## @ref{Text Properties}.
+##
 ## If the first argument @var{hax} is an axes handle, then operate on
 ## this axes rather than the current axes returned by @code{gca}.
 ##
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/appearance/ylabel.m
--- a/scripts/plot/appearance/ylabel.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/appearance/ylabel.m	Tue Feb 18 21:35:39 2020 -0500
@@ -35,6 +35,9 @@
 ## An optional list of @var{property}/@var{value} pairs can be used to change
 ## the properties of the created text label.
 ##
+## The full list of text object properties is documented at
+## @ref{Text Properties}.
+##
 ## If the first argument @var{hax} is an axes handle, then operate on
 ## this axes rather than the current axes returned by @code{gca}.
 ##
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/appearance/zlabel.m
--- a/scripts/plot/appearance/zlabel.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/appearance/zlabel.m	Tue Feb 18 21:35:39 2020 -0500
@@ -33,6 +33,9 @@
 ## An optional list of @var{property}/@var{value} pairs can be used to change
 ## the properties of the created text label.
 ##
+## The full list of text object properties is documented at
+## @ref{Text Properties}.
+##
 ## If the first argument @var{hax} is an axes handle, then operate on
 ## this axes rather than the current axes returned by @code{gca}.
 ##
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/draw/area.m
--- a/scripts/plot/draw/area.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/draw/area.m	Tue Feb 18 21:35:39 2020 -0500
@@ -41,7 +41,8 @@
 ## the shading under the curve should be defined.  The default level is 0.
 ##
 ## Additional property/value pairs are passed directly to the underlying patch
-## object.
+## object. The full list of properties is documented at
+## @ref{Patch Properties}.
 ##
 ## If the first argument @var{hax} is an axes handle, then plot into this axes,
 ## rather than the current axes returned by @code{gca}.
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/draw/bar.m
--- a/scripts/plot/draw/bar.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/draw/bar.m	Tue Feb 18 21:35:39 2020 -0500
@@ -64,7 +64,8 @@
 ## @end table
 ##
 ## Optional property/value pairs are passed directly to the underlying patch
-## objects.
+## objects.  The full list of properties is documented at
+## @ref{Patch Properties}.
 ##
 ## If the first argument @var{hax} is an axes handle, then plot into this axes,
 ## rather than the current axes returned by @code{gca}.
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/draw/barh.m
--- a/scripts/plot/draw/barh.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/draw/barh.m	Tue Feb 18 21:35:39 2020 -0500
@@ -64,7 +64,8 @@
 ## @end table
 ##
 ## Optional property/value pairs are passed directly to the underlying patch
-## objects.
+## objects.  The full list of properties is documented at
+## @ref{Patch Properties}.
 ##
 ## If the first argument @var{hax} is an axes handle, then plot into this axes,
 ## rather than the current axes returned by @code{gca}.
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/draw/colorbar.m
--- a/scripts/plot/draw/colorbar.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/draw/colorbar.m	Tue Feb 18 21:35:39 2020 -0500
@@ -82,7 +82,8 @@
 ## operate on this colorbar directly.
 ##
 ## Additional property/value pairs are passed directly to the underlying axes
-## object.
+## object. The full list of properties is documented at
+## @ref{Axes Properties}.
 ##
 ## The optional return value @var{h} is a graphics handle to the created
 ## colorbar object.
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/draw/fill.m
--- a/scripts/plot/draw/fill.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/draw/fill.m	Tue Feb 18 21:35:39 2020 -0500
@@ -47,7 +47,8 @@
 ## color between the vertices.
 ##
 ## Multiple property/value pairs for the underlying patch object may be
-## specified, but they must appear in pairs.
+## specified, but they must appear in pairs.  The full list of properties is
+## documented at @ref{Patch Properties}.
 ##
 ## If the first argument @var{hax} is an axes handle, then plot into this axes,
 ## rather than the current axes returned by @code{gca}.
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/draw/fplot.m
--- a/scripts/plot/draw/fplot.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/draw/fplot.m	Tue Feb 18 21:35:39 2020 -0500
@@ -59,6 +59,9 @@
 ## in pairs.  These arguments are applied to the line objects drawn by
 ## @code{plot}.
 ##
+## The full list of line properties is documented at
+## @ref{Line Properties}.
+##
 ## If the first argument @var{hax} is an axes handle, then plot into this axes,
 ## rather than the current axes returned by @code{gca}.
 ##
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/draw/hist.m
--- a/scripts/plot/draw/hist.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/draw/hist.m	Tue Feb 18 21:35:39 2020 -0500
@@ -51,7 +51,8 @@
 ## the sum of the bars is equal to @var{norm}.
 ##
 ## The histogram's appearance may be modified by specifying property/value
-## pairs.  For example, the face and edge color may be modified:
+## pairs to the underlying patch object.  For example, the face and edge color
+## may be modified:
 ##
 ## @example
 ## @group
@@ -69,6 +70,8 @@
 ## @end group
 ## @end example
 ##
+## The full list of patch properties is documented at @ref{Patch Properties}.
+##
 ## If the first argument @var{hax} is an axes handle, then plot into this axes,
 ## rather than the current axes returned by @code{gca}.
 ##
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/draw/mesh.m
--- a/scripts/plot/draw/mesh.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/draw/mesh.m	Tue Feb 18 21:35:39 2020 -0500
@@ -49,7 +49,8 @@
 ## by supplying a color matrix, @var{c}.
 ##
 ## Any property/value pairs are passed directly to the underlying surface
-## object.
+## object.  The full list of properties is documented at
+## @ref{Surface Properties}.
 ##
 ## If the first argument @var{hax} is an axes handle, then plot into this axes,
 ## rather than the current axes returned by @code{gca}.
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/draw/meshc.m
--- a/scripts/plot/draw/meshc.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/draw/meshc.m	Tue Feb 18 21:35:39 2020 -0500
@@ -49,7 +49,8 @@
 ## by supplying a color matrix, @var{c}.
 ##
 ## Any property/value pairs are passed directly to the underlying surface
-## object.
+## object.  The full list of properties is documented at
+## @ref{Surface Properties}.
 ##
 ## If the first argument @var{hax} is an axes handle, then plot into this axes,
 ## rather than the current axes returned by @code{gca}.
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/draw/meshz.m
--- a/scripts/plot/draw/meshz.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/draw/meshz.m	Tue Feb 18 21:35:39 2020 -0500
@@ -49,7 +49,8 @@
 ## by supplying a color matrix, @var{c}.
 ##
 ## Any property/value pairs are passed directly to the underlying surface
-## object.
+## object.  The full list of properties is documented at
+## @ref{Surface Properties}.
 ##
 ## If the first argument @var{hax} is an axes handle, then plot into this axes,
 ## rather than the current axes returned by @code{gca}.
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/draw/plot.m
--- a/scripts/plot/draw/plot.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/draw/plot.m	Tue Feb 18 21:35:39 2020 -0500
@@ -107,7 +107,8 @@
 ## @code{plot}.  Useful properties to modify are @qcode{"linestyle"},
 ## @qcode{"linewidth"}, @qcode{"color"}, @qcode{"marker"},
 ## @qcode{"markersize"}, @qcode{"markeredgecolor"}, @qcode{"markerfacecolor"}.
-## @xref{Line Properties}.
+## The full list of properties is documented at
+## @ref{Line Properties}.
 ##
 ## The @var{fmt} format argument can also be used to control the plot style.
 ## It is a string composed of four optional parts:
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/draw/plot3.m
--- a/scripts/plot/draw/plot3.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/draw/plot3.m	Tue Feb 18 21:35:39 2020 -0500
@@ -87,6 +87,8 @@
 ## Multiple property-value pairs may be specified which will affect the line
 ## objects drawn by @code{plot3}.  If the @var{fmt} argument is supplied it
 ## will format the line objects in the same manner as @code{plot}.
+## The full list of properties is documented at
+## @ref{Line Properties}.
 ##
 ## If the first argument @var{hax} is an axes handle, then plot into this axes,
 ## rather than the current axes returned by @code{gca}.
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/draw/rectangle.m
--- a/scripts/plot/draw/rectangle.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/draw/rectangle.m	Tue Feb 18 21:35:39 2020 -0500
@@ -53,6 +53,7 @@
 ## @end example
 ##
 ## Additional property/value pairs are passed to the underlying patch command.
+## The full list of properties is documented at @ref{Patch Properties}.
 ##
 ## If the first argument @var{hax} is an axes handle, then plot into this axes,
 ## rather than the current axes returned by @code{gca}.
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/draw/scatter.m
--- a/scripts/plot/draw/scatter.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/draw/scatter.m	Tue Feb 18 21:35:39 2020 -0500
@@ -54,7 +54,8 @@
 ## If the argument @qcode{"filled"} is given then the markers are filled.
 ##
 ## Additional property/value pairs are passed directly to the underlying
-## patch object.
+## patch object.  The full list of properties is documented at
+## @ref{Patch Properties}.
 ##
 ## If the first argument @var{hax} is an axes handle, then plot into this axes,
 ## rather than the current axes returned by @code{gca}.
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/draw/scatter3.m
--- a/scripts/plot/draw/scatter3.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/draw/scatter3.m	Tue Feb 18 21:35:39 2020 -0500
@@ -54,7 +54,8 @@
 ## If the argument @qcode{"filled"} is given then the markers are filled.
 ##
 ## Additional property/value pairs are passed directly to the underlying
-## patch object.
+## patch object.  The full list of properties is documented at
+## @ref{Patch Properties}.
 ##
 ## If the first argument @var{hax} is an axes handle, then plot into this axes,
 ## rather than the current axes returned by @code{gca}.
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/draw/stairs.m
--- a/scripts/plot/draw/stairs.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/draw/stairs.m	Tue Feb 18 21:35:39 2020 -0500
@@ -42,7 +42,8 @@
 ## of the same format as the @code{plot} command.
 ##
 ## Multiple property/value pairs may be specified, but they must appear in
-## pairs.
+## pairs. The full list of properties is documented at
+## @ref{Line Properties}.
 ##
 ## If the first argument @var{hax} is an axes handle, then plot into this axes,
 ## rather than the current axes returned by @code{gca}.
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/draw/stem.m
--- a/scripts/plot/draw/stem.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/draw/stem.m	Tue Feb 18 21:35:39 2020 -0500
@@ -59,7 +59,8 @@
 ## plots 10 stems with heights from 2 to 20 in red;
 ##
 ## Optional property/value pairs may be specified to control the appearance
-## of the plot.
+## of the plot.  The full list of properties is documented at
+## @ref{Line Properties}.
 ##
 ## If the first argument @var{hax} is an axes handle, then plot into this axes,
 ## rather than the current axes returned by @code{gca}.
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/draw/stem3.m
--- a/scripts/plot/draw/stem3.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/draw/stem3.m	Tue Feb 18 21:35:39 2020 -0500
@@ -42,14 +42,15 @@
 ## present the markers at the top of the stems will be filled in.
 ##
 ## Optional property/value pairs may be specified to control the appearance
-## of the plot.
+## of the plot.  The full list of properties is documented at
+## @ref{Line Properties}.
 ##
 ## If the first argument @var{hax} is an axes handle, then plot into this axes,
 ## rather than the current axes returned by @code{gca}.
 ##
 ## The optional return value @var{h} is a handle to the @nospell{"stem series"}
 ## hggroup containing the line and marker objects used for the plot.
-## @xref{XREFstem,,stem}, for a description of the @nospell{"stem series"}
+## @xref{XREFstem}, for a description of the @nospell{"stem series"}
 ## object.
 ##
 ## Example:
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/draw/surf.m
--- a/scripts/plot/draw/surf.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/draw/surf.m	Tue Feb 18 21:35:39 2020 -0500
@@ -49,7 +49,8 @@
 ## @var{z} by supplying a color matrix, @var{c}.
 ##
 ## Any property/value pairs are passed directly to the underlying surface
-## object.
+## object.  The full list of properties is documented at
+## @ref{Surface Properties}.
 ##
 ## If the first argument @var{hax} is an axes handle, then plot into this axes,
 ## rather than the current axes returned by @code{gca}.
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/draw/surfc.m
--- a/scripts/plot/draw/surfc.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/draw/surfc.m	Tue Feb 18 21:35:39 2020 -0500
@@ -49,7 +49,8 @@
 ## @var{z} by supplying a color matrix, @var{c}.
 ##
 ## Any property/value pairs are passed directly to the underlying surface
-## object.
+## object.  The full list of properties is documented at
+## @ref{Surface Properties}.
 ##
 ## If the first argument @var{hax} is an axes handle, then plot into this axes,
 ## rather than the current axes returned by @code{gca}.
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/draw/surfnorm.m
--- a/scripts/plot/draw/surfnorm.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/draw/surfnorm.m	Tue Feb 18 21:35:39 2020 -0500
@@ -41,7 +41,8 @@
 ## If no return arguments are requested, a surface plot with the normal
 ## vectors to the surface is plotted.
 ##
-## Any property/value input pairs are assigned to the surface object.
+## Any property/value input pairs are assigned to the surface object.  The full
+## list of properties is documented at @ref{Surface Properties}.
 ##
 ## If the first argument @var{hax} is an axes handle, then plot into this axes,
 ## rather than the current axes returned by @code{gca}.
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/draw/tetramesh.m
--- a/scripts/plot/draw/tetramesh.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/draw/tetramesh.m	Tue Feb 18 21:35:39 2020 -0500
@@ -44,6 +44,7 @@
 ##
 ## Calling @code{tetramesh (@dots{}, "property", "value", @dots{})} passes all
 ## property/value pairs directly to the patch function as additional arguments.
+## The full list of properties is documented at @ref{Patch Properties}.
 ##
 ## The optional return value @var{h} is a vector of patch handles where each
 ## handle represents one tetrahedron in the order given by @var{T}.
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/draw/trimesh.m
--- a/scripts/plot/draw/trimesh.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/draw/trimesh.m	Tue Feb 18 21:35:39 2020 -0500
@@ -52,6 +52,7 @@
 ## in @var{tri}.
 ##
 ## Any property/value pairs are passed directly to the underlying patch object.
+## The full list of properties is documented at @ref{Patch Properties}.
 ##
 ## The optional return value @var{h} is a graphics handle to the created patch
 ## object.
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/draw/trisurf.m
--- a/scripts/plot/draw/trisurf.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/draw/trisurf.m	Tue Feb 18 21:35:39 2020 -0500
@@ -53,6 +53,7 @@
 ## @qcode{"flat"}).
 ##
 ## Any property/value pairs are passed directly to the underlying patch object.
+##  The full list of properties is documented at @ref{Patch Properties}.
 ##
 ## The optional return value @var{h} is a graphics handle to the created patch
 ## object.
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/draw/waterfall.m
--- a/scripts/plot/draw/waterfall.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/draw/waterfall.m	Tue Feb 18 21:35:39 2020 -0500
@@ -52,7 +52,8 @@
 ## by supplying a color matrix, @var{c}.
 ##
 ## Any property/value pairs are passed directly to the underlying surface
-## object.
+## object.  The full list of properties is documented at
+## @ref{Surface Properties}.
 ##
 ## If the first argument @var{hax} is an axes handle, then plot into this axes,
 ## rather than the current axes returned by @code{gca}.
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/util/hggroup.m
--- a/scripts/plot/util/hggroup.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/util/hggroup.m	Tue Feb 18 21:35:39 2020 -0500
@@ -33,7 +33,8 @@
 ## If no parent is specified, the group is created in the current axes.
 ##
 ## Multiple property/value pairs may be specified for the hggroup, but they
-## must appear in pairs.
+## must appear in pairs.  The full list of properties is documented at
+## @ref{Axes Properties}.
 ##
 ## The optional return value @var{h} is a graphics handle to the created
 ## hggroup object.
diff -r b2e0a2ddfd7d -r c8ddb630c9c1 scripts/plot/util/subplot.m
--- a/scripts/plot/util/subplot.m	Tue Feb 18 17:38:17 2020 -0800
+++ b/scripts/plot/util/subplot.m	Tue Feb 18 21:35:39 2020 -0500
@@ -94,6 +94,7 @@
 ## The values in @var{pos} are normalized in the range [0,1].
 ##
 ## Any property/value pairs are passed directly to the underlying axes object.
+## The full list of properties is documented at @ref{Axes Properties}.
 ##
 ## If the output @var{hax} is requested, subplot returns the axes handle for
 ## the subplot.  This is useful for modifying the properties of a subplot